# $Revision: 1.13 $, $Date: 2011/02/09 08:12:19 $
Summary:	NagIRCBot - announce the Nagios status on an IRC channel
Summary(pl.UTF-8):	NagIRCBot - pokazywanie statusu Nagiosa na kanale IRC
Name:		nagircbot
Version:	0.0.33
Release:	1
License:	GPL
Group:		Applications
Source0:	http://www.vanheusden.com/nagircbot/%{name}-%{version}.tgz
# Source0-md5:	8dd1f2077d91ca9273d92a3b207c54b2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-nodebug.patch
URL:		http://www.vanheusden.com/nagircbot/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NagIRCBot announces the Nagios status on an IRC channel.

%description -l pl.UTF-8
NagIRCBot pokazuje status Nagiosa na kanale IRC.

%prep
%setup -q
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	DEBUG="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags} -lstdc++ -lssl -lcrypto"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d,/etc/sysconfig}

cp -a %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
cp -a %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "Nagios IRC Bot"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nagircbot
%attr(755,root,root) %{_sbindir}/nagircbot
%attr(754,root,root) /etc/rc.d/init.d/nagircbot

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagircbot.spec,v $
Revision 1.13  2011/02/09 08:12:19  lisu
- up to 0.0.33
- create directories first, then install files

Revision 1.12  2010/12/01 14:12:17  lisu
- up to 0.0.31
- link with -lcrypto

Revision 1.11  2010/04/12 19:27:26  arekm
- release 2

Revision 1.10  2009/07/23 12:27:27  lisu
- 0.0.30
- link with libssl (BR: openssl-devel)

Revision 1.9  2009/06/16 08:29:53  undefine
- up to 0.0.29b, add patch to build without debug enabled

Revision 1.8  2007/03/20 09:00:04  undefine
- release 2 (1 is on AC-branch)

Revision 1.7  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.5  2007/02/11 00:28:34  domelu
- up to 0.0.20

Revision 1.4  2006/11/28 21:17:11  qboosh
- unified

Revision 1.3  2006/11/20 08:54:40  glen
- nagios does not to be local

Revision 1.2  2006/11/20 08:29:04  glen
- should work with any nagios core (nagios, nrpe)
- fix initscript deps
- pass cc,cflags,ldflags
- move daemon to sbindir

Revision 1.1  2006/11/19 23:32:26  undefine
- initial
